Subject: Re: [Ltru] [psg.com #1067] Last call: clarification between language tags and locales

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 16 Jul 2005 10:52:29 -0700

Hi -

As co-chair:
Ok, there seems to be no support for (and strong opposition to) Jefsey's proposed addition.
I see no need for further discussion of it unless someone else out there thinks it's a
really good idea.

As technical contributor:
Can we get back to the original issues in this discussion?  Addison had said:

> I think there is no need to add any text; there is already some text
> (in the section on extensions) which says that this is somewhat the
> case. Implementations that choose to coerce locales (local programming
> constructs) from language tags are free to do so.

I responded by saying that I don't find what's currently there particularly helpful.
The current i-d says:

|3.6  Extensions and Extensions Namespace
|
|   Extension subtags are those introduced by single-letter subtags other
|   than 'x'.  They are reserved for the generation of identifiers which
|   contain a language component, and are compatible with applications
|   that understand language tags.  For example, they might be used to
|   define locale identifiers, which are generally based on language.

The first part is fine, but that last sentence is not particularly enlightening.
Language is probably the most important thing specified by a locale,
but saying locales are "based on language" won't help those who are at
all confused about the relationship.  I hope this isn't the best example
of how we envision extensions being used.

I suggest deleting this example (or replacing it with something more
enlightening) and adding the following paragraph as the second
paragraph in section 2.2.4 (Region Subtag).  This is *revised* from
my earlier proposal:

"Although a language tag constructed from a primary language subtag
followed by a region subtag bears a syntactic resemblance to a locale
identifier, their semantics and usage are different."

Randy

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Addison Phillips" <[email-masked]>
Date: Sat, 16 Jul 2005 08:41:00 -0700

+1

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?7?15? 19:23
> To: LTRU Working Group
> Subject: [Ltru] [psg.com #1067] Last call: clarification between
> languagetags and locales
> 
> Hi -
> 
> > From: "r&d afrac" <[email-masked]>
> > To: "LTRU Working Group" <[email-masked]>
> > Sent: Friday, July 15, 2005 6:21 PM
> > Subject: [Ltru] Last call: clarification between language tags and
> locales
> ...
> > Proposed text - as insert for relation with IESG pending an IESG
> decision:
> >
> > "[Charter has explicitly said that langtags apply to HTML, XML, CLDR,
> etc.
> > This WG has identified that this point of the Charter is to be
> requalified.
> > In the case of CLDR, locales can certainly be described in using
> Langtags
> > as many other language and country related objects and processes, such
> as
> > publishing, reading, filtering, censoring, exchanging, communicating,
> > classifying text, book, records, identifying expertise in a language,
> > copyrights, etc. etc. However they also have the capacity to document
> non
> > language related issues such as colors on a display, sound of a
> > loudspeaker, process speed depending on a process pattern, default
> network
> > addresses, etc.. They also can be partly patented to support patented
> > processes. As such they may have to be identified in refering to patent
> > references the "x-" escape sequence could support woud it not be limited
> to
> > 8-alpha/num for retro-compatibility with the never used before patent
> > referencing. The WG hesitates to documents langtags for the CLDR and
> wishes
> > to exclude langtags considerations from its charter, reserving to locale
> > compilers the decision to use langtags as a part of, or an equivalent to,
> > localtag or not. Should localtags be confirmed as directly belonging the
> > Charter, a locale oriented "l-" final extension will be used where all
> the
> > subsequent dashes would not be part of the Draft ABNF, in order to
> accept
> > sequences of the form "-c-" included in some of the references to
> include.]"
> ...
> 
> As co-chair:
> (1) For patent-related disclosure requirements, see
> http://www.ietf.org/rfc/rfc3979.txt
> (2) Specifying locales is clearly beyond our scope.
> 
> As a technical contributor, I think Jefsey's proposed addition would be
> counterproductive. reducing rather than improving the document's
> intellegibility.  Consequently, I strongly oppose its inclusion.
> 
> Randy
> 
> 
> 
>

---

From: "Mark Davis" <[email-masked]>
Date: Sat, 16 Jul 2005 17:33:16 -0700

I disagree with the proposal. I can understand your reasoning, but the
proposed paragraph doesn't quite work. We are better off just keeping the
text as it is, rather than open up a -- I suspect -- long discussion about
locales. Part of the problem is that 'locale IDs' are not a single concept;
there is very broad variance in what they mean and how they are used.

> identifier, their semantics and usage are different."

‎Mark

----- Original Message ----- 
From: "Randy Presuhn" <[email-masked]>
To: "LTRU Working Group" <[email-masked]>
Sent: Saturday, July 16, 2005 10:52
Subject: Re: [Ltru] [psg.com #1067] Last call: clarification between
languagetags and locales

---

From: r&d afrac <[email-masked]>
Date: Sun, 17 Jul 2005 02:53:23 +0200

I can only repeat my proposition which is to remove every allusion to 
locales. A part from CLDR being quoted in the Charter, I do not see what 
locales have specifically to do with langtags?

There are hundreds of uses of langtags, are we to discuss them all? I would 
certainly better define the scope of the Draft, but I suspect most in here 
would not support the idea.

May be a phrase like "although a language tag is construed from a primary 
language subtag, an optional script subtag and a regional subtag and may 
have for that reasons a syntactic resemblance to various identifiers, no 
particular relation should be infered between these identifiers and 
language tags", or some general case similar wording, would address the 
point as a generic problem?
jfc

At 02:33 17/07/2005, Mark Davis wrote:
>â€ŽMark

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 16 Jul 2005 22:14:40 -0700

Hi -

> From: "Mark Davis" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Saturday, July 16, 2005 5:33 PM
> Subject: Re: [Ltru] [psg.com #1067] Last call: clarification between languagetags and locales
>

...

As a compromise, then, if we don't explain that locales should not be
confused with language tags, could we at least delete the following sentence from
section 3.6 of the registry i-d?  "For example, they might be used to define
locale identifiers, which are generally based on language."  This example confuses
rather than enlightens, leading the tiro to invert the relationship between
locale and language, leading to the need to explain how locale identification
and language tagging should not be confused.  For me, at least, removing that
sentence would be an acceptable resolution of this item.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 16 Jul 2005 22:20:56 -0700

Hi -

> To: "Mark Davis" <[email-masked]>; "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Saturday, July 16, 2005 5:53 PM

I think we almost agree on this point!  The word "locale" appears in several
locations in the i-d.  I think the only one that is problematic is this one from
section 3.6: "For example, they might be used to define locale identifiers,
which are generally based on language."   This sentence could safely be
eliminated, as it has no normative significance, and doing so would remove
any need to talk about what locales are or are not.

...

This text (with minor tweaks) would work for me, but I think removing the
sentence from section 3.6 would be better, and more likely to get agreement.

Randy

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 17 Jul 2005 10:52:45 -0700

While true, and illustrative, I have no problem with removing it.

‎Mark

----- Original Message ----- 
From: "Randy Presuhn" <[email-masked]>
To: "LTRU Working Group" <[email-masked]>
Sent: Saturday, July 16, 2005 22:14
Subject: Re: [Ltru] [psg.com #1067] Last call: clarification between
languagetags and locales

languagetags and locales